<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
		<form-bean name="w83bFormActasComunicaciones" type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bComunicacionesBean" type="w83b.w83bBeans.W83bComunicacionesBean"/>
		</form-bean>
		
		<form-bean name="w83bFormComEmpresa" type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bComunicacionesBean" type="w83b.w83bBeans.W83bComunicacionesBean"/>
		</form-bean>
		
		<form-bean name="w83bFormRequeMesa" type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bComunicacionesBean" type="w83b.w83bBeans.W83bComunicacionesBean"/>
		</form-bean>
		
		<form-bean name="w83bFormResolDeneg" type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bComunicacionesBean" type="w83b.w83bBeans.W83bComunicacionesBean"/>
		</form-bean>
		
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormMenuListado[w83bListadosBean],w83bFormListadoEmpresaVariosPreavisos[w83bListadosBean],w83bFormListadoLibroRegistro[w83bListadosBean],w83bFormListadoRelAlfPreavisos[w83bListadosBean]"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.informes"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.listados"/>
				<form-property name="w83bComunicacionesBean" type="w83b.w83bBeans.W83bComunicacionesBean"/>
				<form-property name="w83bResultadoBean" type="java.util.List"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="generarRtf" type="java.util.HashMap"/>
				<form-property name="documento" type="java.util.List"/>
				<form-property name="w83bListaInd" type="java.util.List"/>
				<form-property name="tamParcial" type="java.lang.String"/>
				<form-property name="w83bNombresPlantilla" type="java.util.List"/>
				<form-property name="w83bPlantillasMap" type="java.util.HashMap"/>
				<form-property name="numActasGenerarComunic" type="java.lang.Integer"/>
				<form-property name="envioCorrespondenciaErrores" type="java.lang.String"/>
				<form-property name="w83blistaComunicacionesAcuse" type="java.util.List"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
		<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		
		<action path ="/w83bInicioActas" forward="/w83bPaginaInicioActasMedio.do"/>
		<action path ="/w83bInicioActasFinal" forward="paginaActasCom"/>
		<action path ="/w83bComEmpresaFin" forward="paginaComEmpresa"/>
		<action path ="/w83bRequeMesaFin" forward="paginaRequeMesa"/>
		<action path ="/w83bResolDenegFin" forward="paginaResolDenegatorias"/>
		<action path ="/w83bLibroRegActasFin" forward="paginaLibroRegActas"/>
		
<!--	DISPATCHES-->
		<action path="/w83bPaginaInicioActasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bTablaInicioActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioActasFinal.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bLibroRegistroActas" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bInicioLiroRegActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bLibroRegActasFin.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bComEmpresa" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bInicioComEmpresaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarPlantillaRTFComunicacionesActaComEmpresaOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bRequeMesa" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bInicioRequeMesaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarPlantillaRTFComunicacionesActaRequeMesaOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bResolDenegatorias" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bInicioResolDenegOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bCargarPlantillaRTFComunicacionesActaDenegFinOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action
				path="/w83bDispatchLibroRegActas"
				name="w83bFormActasComunicaciones"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioActas.do"/>
				<forward
					name="rtfAcuses"
					path="/w83bRtfAcuses.do"/>
				<forward
					name="rtfEtiquetas"
					path="/w83bRtfEtiquetas.do"/>
				<forward
					name="rtfCarta"
					path="/w83bRtfCarta.do"/>
		</action>
		
		<action
				path="/w83bDispatchComEmpresa"
				name="w83bFormComEmpresa"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioActas.do"/>
				<forward
					name="rtfAcuses"
					path="/w83bRtfAcuses.do"/>
				<forward
					name="rtfAcusesRelacion"
					path="/w83bRtfAcusesRelacion.do"/>
				<forward
					name="rtfEtiquetas"
					path="/w83bRtfEtiquetas.do"/>
				<forward
					name="rtfCarpeta"
					path="/w83bRtfCarpeta.do"/>
				<forward
					name="rtfCarta"
					path="/w83bRtfCarta.do"/>
				<forward
					name="comunicacionDef"
					path="/w83bRtfComunicacionDef.do"/>
		</action>
		
		<action
				path="/w83bDispatchRequeMesa"
				name="w83bFormRequeMesa"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioActas.do"/>
				<forward
					name="rtfAcuses"
					path="/w83bRtfAcuses.do"/>
				<forward
					name="rtfAcusesRelacion"
					path="/w83bRtfAcusesRelacion.do"/>
				<forward
					name="rtfEtiquetas"
					path="/w83bRtfEtiquetas.do"/>
				<forward
					name="rtfOficio"
					path="/w83bOficio.do"/>
				<forward
					name="comunicacionDef"
					path="/w83bRtfComunicacionDef.do"/>
		</action>
		
		<action
				path="/w83bDispatchResolDeneg"
				name="w83bFormResolDeneg"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioActas.do"/>
				<forward
					name="rtfAcuses"
					path="/w83bRtfAcuses.do"/>
				<forward
					name="rtfAcusesRelacion"
					path="/w83bRtfAcusesRelacion.do"/>
				<forward
					name="rtfEtiquetas"
					path="/w83bRtfEtiquetas.do"/>
				<forward
					name="rtfComunicacion"
					path="/w83bRtfComunicacion.do"/>
		</action>
		
		<action path="/w83bGenerarComunicLibroRegOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicLibroRegActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bComunicLibroRegActasOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bGenerarComunicComEmpresasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicComEmpresasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenerarComunicComEmpresasOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bGenerarRequeMesaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicRequeMesaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenerarComunicRequeMesaOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bGenerarOficioRequeOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicRequeMesaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenerarOficioRequeOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path="/w83bGenerarResolDenegOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicResolDenegOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bGenerarComunicResolDenegOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>		
				
		<action path ="/w83bRefrescarUsuario" 
			 parameter="w83bRefrescarUsuarioDelegacionOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bImpugResueltasFin.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<action path ="/w83bCargarPlantillaRTFComunicacionesActaComEmpresaOI" 
			 parameter="w83bCargarPlantillaRTFComunicacionesActaComEmpresaOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRefrescarUsuarioComEmpresa.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		<action path ="/w83bRefrescarUsuarioComEmpresa" 
			 parameter="w83bRefrescarUsuarioDelegacionOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bComEmpresaFin.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>		
		<action path ="/w83bCargarPlantillaRTFComunicacionesActaRequeMesaOI" 
			 parameter="w83bCargarPlantillaRTFComunicacionesActaRequeMesaOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRefrescarUsuarioComunicacionesActaRequeMesa.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		<action path ="/w83bRefrescarUsuarioComunicacionesActaRequeMesa" 
			 parameter="w83bRefrescarUsuarioDelegacionOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRequeMesaFin.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>		
		<action path ="/w83bCargarPlantillaRTFComunicacionesActaDenegFinOI" 
			 parameter="w83bCargarPlantillaRTFComunicacionesActaDenegFinOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRefrescarUsuarioComunicacionesActaDeneg.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>		
		<action path ="/w83bRefrescarUsuarioComunicacionesActaDeneg" 
			 parameter="w83bRefrescarUsuarioDelegacionOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bResolDenegFin.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>		
		<action path ="/w83bComunicLibroRegActasOI" 
			 parameter="w83bComunicLibroRegActasOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenerarComunicPreavisoOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		<action path ="/w83bGenerarComunicComEmpresasOI" 
			 parameter="w83bGenerarComunicComEmpresasOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenerarComunicPreavisoOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		<action path ="/w83bGenerarComunicRequeMesaOI" 
			 parameter="w83bGenerarComunicRequeMesaOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenerarComunicPreavisoOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		<action path ="/w83bGenerarOficioRequeOI" 
			 parameter="w83bGenerarOficioRequeOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenerarComunicPreavisoOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		<action path ="/w83bGenerarComunicResolDenegOI" 
			 parameter="w83bGenerarComunicResolDenegOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bGenerarComunicPreavisoOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		<action path ="/w83bActualizarFechaRequeOP" 
			 parameter="w83bActFechaRequeOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bActualizarFechaRequeOutOP.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		<action path="/w83bActualizarFechaRequeOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bProcesarCierreOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bGenerarComunicPreavisoOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarComunicPreavisosOutOPAction" 
			 validate="false">
			 	<forward name="generarcomunicacion" path="/w83bRtfComunicEmpresa.do" />
			 	<forward name="generarrequemesa" path="/w83bRtfComunicReque.do" />
				<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<action path="/w83bRtfAcuses"
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfAcusesAction" 
			 validate="false">
		</action>	
		<action path="/w83bRtfAcusesRelacion" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfAcusesRelacionAction" 
			 validate="false">
		</action>
		<action path="/w83bRtfEtiquetas" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfEtiquetasAction" 
			 validate="false">
		</action>	
		<action path="/w83bRtfCarpeta" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfCarpetaAction" 
			 validate="false">
		</action>	
		<action path="/w83bRtfComunicEmpresa" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfComunicEmpresasAction" 
			 validate="false">
			 <forward name="ok" path="/w83bInsertarComunicIndOI.do" />
			 <forward name="fin" path="/w83bGenerarComunicPreavisoDef.do" />
			 <forward name="error" path="/w83bInicioActas.do" />
		</action>	
		<action path ="/w83bInsertarComunicIndOI" 
			 parameter="w83bInsertarComunicIndOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bRtfComunicacionOut.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		<action path="/w83bRtfComunicacionOut" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfComunicacionOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bGenerarComunicPreavisoDef" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarComunicPreavisosDefOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bRtfCarta" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfCartaAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bOficio" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfOficRequeAction" 
			 validate="false">
			 <forward name="error" path="/w83bRequeMesaFin.do" />
		</action>	
		
		<action path="/w83bRtfComunicReque" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfComunicRequeAction" 
			 validate="false">
			 <forward name="ok" path="/w83bInsertarComunicIndOI.do" />
			 <forward name="fin" path="/w83bGenerarComunicPreavisoDef.do" />
			 <forward name="error" path="/w83bInicioActas.do" />
		</action>	
		
		<action path="/w83bRtfComunicacionDef" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bGenerarRtfComunicDefAction" 
			 validate="false">
		</action>
		
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
		
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************INICIO ENVIO DE CORRESPONDENCIA****************************************************** -->
		<!-- ************************************************************************************************************************************* -->
		<!-- Calcular número de comunicaciones se van a enviar a correspondencia -->
		<action path="/w83bnumActasGenerarComunicActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicComEmpresasOPAction" validate="false">
			<forward name="ok" path="/w83bnumActasGenerarComunicActasOI.do"/>
			<forward name="error" path="/w83bInicioComunicaciones.do"/>
		</action>
		

		<action path ="/w83bnumActasGenerarComunicActasOI" 
			 parameter="w83bnumActasGenerarComunicActasOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bnumActasGenerarComunicActasOUT.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<action path="/w83bnumActasGenerarComunicActasOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bnumActasGenerarComunicActasOUTAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		
		<!-- Recogemos y guardamos los datos de pantalla -->
		<action path="/w83bEnvioCorrespondenciaActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicComEmpresasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBuscaActasEnvioCorrespondenciaOI.do"/>
			<forward name="error" path="/w83bInicioComunicaciones.do"/>
		</action>
		
		
		<action path ="/w83bBuscaActasEnvioCorrespondenciaOI" 
			 parameter="w83bBuscaActasEnvioCorrespondenciaOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaActasLlamadaWS.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<!-- Llamamos al webservice de aa66  -->
		<action path="/w83bEnvioCorrespondenciaActasLlamadaWS" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaActasLlamadaWSOPAction" 
			 validate="false">
			 	<forward name="ok" path="/w83bActualizarDatosAcusesComunicacionActasOI.do" />
				<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<!-- Actualizamos los datos de la comunicación con los recibidos de acuses de recibos -->
		<action path ="/w83bActualizarDatosAcusesComunicacionActasOI" 
			 parameter="w83bActualizarDatosAcusesComunicacionActasOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaActasOUT.do" />
					<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		<action path="/w83bEnvioCorrespondenciaActasOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaRespuestaOutOPAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioComunicaciones.do" />
		</action>
		
		
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************FIN ENVIO DE CORRESPONDENCIA********************************************************* -->
		<!-- ************************************************************************************************************************************* -->
		
		
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************INICIO ENVIO DE CORRESPONDENCIA REQ MESA********************************************* -->
		<!-- ************************************************************************************************************************************* -->
		<!-- Calcular número de comunicaciones se van a enviar a correspondencia -->
		<action path="/w83bnumActasGenerarComunicRequMesaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicRequeMesaOPAction" validate="false">
			<forward name="ok" path="/w83bnumActasGenerarComunicRequMesaOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path ="/w83bnumActasGenerarComunicRequMesaOI" 
			 parameter="w83bnumActasGenerarComunicRequMesaOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bnumActasGenerarComunicRequMesaOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<action path="/w83bnumActasGenerarComunicRequMesaOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bnumActasGenerarComunicActasOUTAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		
		<!-- Recogemos y guardamos los datos de pantalla -->
		<action path="/w83bEnvioCorrespondenciaActasRequMesaOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicRequeMesaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBuscaActasEnvioCorrespondenciaRequMesaOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path ="/w83bBuscaActasEnvioCorrespondenciaRequMesaOI" 
			 parameter="w83bBuscaActasEnvioCorrespondenciaRequMesaOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaActasRequMesaLlamadaWS.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<!-- Llamamos al webservice de aa66  -->
		<action path="/w83bEnvioCorrespondenciaActasRequMesaLlamadaWS" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaActasLlamadaWSOPAction" 
			 validate="false">
			 	<forward name="ok" path="/w83bActualizarDatosAcusesComunicacionActasRequMesaOI.do" />
				<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<!-- Actualizamos los datos de la comunicación con los recibidos de acuses de recibos -->
		<action path ="/w83bActualizarDatosAcusesComunicacionActasRequMesaOI" 
			 parameter="w83bActualizarDatosAcusesComunicacionActasRequMesaOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaActasRequMesaOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<action path="/w83bEnvioCorrespondenciaActasRequMesaOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaRespuestaOutOPAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************FIN ENVIO DE CORRESPONDENCIA REQ MESA************************************************ -->
		<!-- ************************************************************************************************************************************* -->
		
	
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************INICIO ENVIO DE CORRESPONDENCIA RESOL. DENEG***************************************** -->
		<!-- ************************************************************************************************************************************* -->
		<!-- Calcular número de comunicaciones se van a enviar a correspondencia -->
		<action path="/w83bnumActasGenerarComunicResolDenegOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicResolDenegOPAction" validate="false">
			<forward name="ok" path="/w83bnumActasGenerarComunicResolDenegOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path ="/w83bnumActasGenerarComunicResolDenegOI" 
			 parameter="w83bnumActasGenerarComunicResolDenegOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bnumActasGenerarComunicResolDenegOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<action path="/w83bnumActasGenerarComunicResolDenegOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bnumActasGenerarComunicActasOUTAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		
		<!-- Recogemos y guardamos los datos de pantalla -->
		<action path="/w83bEnvioCorrespondenciaActasResolDenegOP" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bComunicResolDenegOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBuscaActasEnvioCorrespondenciaResolDenegOI.do"/>
			<forward name="error" path="/w83bInicioActas.do"/>
		</action>
		
		<action path ="/w83bBuscaActasEnvioCorrespondenciaResolDenegOI" 
			 parameter="w83bBuscaActasEnvioCorrespondenciaResolDenegOI" 
			 validate="false"  
			 input="/w83bInicioActas.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaActasResolDenegLlamadaWS.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<!-- Llamamos al webservice de aa66  -->
		<action path="/w83bEnvioCorrespondenciaActasResolDenegLlamadaWS" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaActasLlamadaWSOPAction" 
			 validate="false">
			 	<forward name="ok" path="/w83bActualizarDatosAcusesComunicacionActasResolDenegOI.do" />
				<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<!-- Actualizamos los datos de la comunicación con los recibidos de acuses de recibos -->
		<action path ="/w83bActualizarDatosAcusesComunicacionActasResolDenegOI" 
			 parameter="w83bActualizarDatosAcusesComunicacionActasResolDenegOI" 
			 validate="false"  
			 input="/w83bInicioComunicaciones.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bEnvioCorrespondenciaActasResolDenegOUT.do" />
					<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		<action path="/w83bEnvioCorrespondenciaActasResolDenegOUT" scope="request" type="w83b.w83bOperacionesPaso.w83bComunicaciones.W83bEnvioCorrespondenciaRespuestaOutOPAction" 
			 validate="false">
				<forward name="error" path="/w83bInicioActas.do" />
		</action>
		
		
		<!-- ************************************************************************************************************************************* -->
		<!-- ************************************************FIN ENVIO DE CORRESPONDENCIA RESOL. DENEG******************************************** -->
		<!-- ************************************************************************************************************************************* -->
	
	
	
	</action-mappings>
	

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/informes/validation-informes.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>